## kfourinline 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "80")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kfourinline VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMDeprecationSettings)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)

include(InternalMacros)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Svg
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DNSSD
    DocTools
    I18n
    WidgetsAddons
    XmlGui
    IconThemes
)

find_package(KDEGames6 6.0.0 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.19.0
    KDEGAMES 6.0
    KDEGAMESPRIVATE 6.0
)

add_subdirectory(src)
add_subdirectory(themes)
add_subdirectory(icons)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kfourinline (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:55:51 +0000

=== debian/control ===
Source: kfourinline
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.11.80~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfourinline
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfourinline

Package: kfourinline
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: Connect Four game
 KFourInLine is a game where two players take turns dropping pieces into a grid,
 the winner being the first to place four pieces in a line.
 .
 This package is part of the KDE games module.

## kfourinline 25.11.90

=== debian/changelog ===
kfourinline (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:05:06 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.80~),
+               libkdegames6-dev (>= 4:25.11.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kfourinline 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kfourinline VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kfourinline (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:20:52 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.90~),
+               libkdegames6-dev (>= 4:25.12.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kfourinline 25.12.0+p24.04+vstable+git20251208.2107

=== debian/changelog ===
kfourinline (4:25.12.0+p24.04+vstable+git20251208.2107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 21:07:59 +0000

kfourinline (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:46 +1000

## kfourinline 25.12.0+p24.04+vstable+git20251212.0956

=== debian/changelog ===
kfourinline (4:25.12.0+p24.04+vstable+git20251212.0956-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 09:56:45 +0000

## kfourinline 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kfourinline VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kfourinline (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump libkdegames build dep to current Gear version.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 14:33:34 +0000

kfourinline (4:25.12.1-1) unstable; urgency=medium

  * Team upload

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 18 Jan 2026 14:31:36 +0100

kfourinline (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:03:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.0~),
+               libkdegames6-dev (>= 4:25.12.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -21,15 +20,16 @@
                libkf6dnssd-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
+               libkf6iconthemes-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://games.kde.org/
+Homepage: https://apps.kde.org/kfourinline/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfourinline
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfourinline

## kfourinline 25.12.1+p24.04+vstable+git20260128.0823

=== debian/changelog ===
kfourinline (4:25.12.1+p24.04+vstable+git20260128.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 08:23:47 +0000

kfourinline (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:31:43 +1000

## kfourinline 25.12.1+p24.04+vstable+git20260131.0340

=== debian/changelog ===
kfourinline (4:25.12.1+p24.04+vstable+git20260131.0340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:40:25 +0000

## kfourinline 25.12.1+p24.04+vunstable+git20260128.1028

=== debian/changelog ===
kfourinline (4:25.12.1+p24.04+vunstable+git20260128.1028-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 10:29:00 +0000

## kfourinline 25.12.1+p24.04+vunstable+git20260131.0054

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kfourinline VERSION ${RELEASE_SERVICE_VERSION})
@@ -49,8 +49,8 @@
 find_package(KDEGames6 6.0.0 REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.19.0
+    QT 6.10.0
+    KF 6.21.0
     KDEGAMES 6.0
     KDEGAMESPRIVATE 6.0
 )

=== debian/changelog ===
kfourinline (4:25.12.1+p24.04+vunstable+git20260131.0054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 00:54:09 +0000

## kfourinline 25.12.2

=== debian/changelog ===
kfourinline (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:23:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.1~),
+               libkdegames6-dev (>= 4:25.12.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
